This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166503 - Review Request: gdl - GNU Data Language
Review Request: gdl - GNU Data Language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 12:49 EDT by Orion Poplawski
Modified: 2008-10-11 11:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 10:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-08-22 12:49:07 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/gdl.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/gdl-0.8.10-1.src.rpm
Description: 

A free IDL (Interactive Data Language) compatible incremental compiler
(ie. runs IDL programs). IDL is a registered trademark of Research
Systems Inc.
Comment 1 José Matos 2005-09-09 13:16:10 EDT
+ compiles in mock 
+ no rpmlint warnings 
+ license OK (GPL, matches upstream and is included in %doc) 
+ spec file follows rules 
+ spec files is readable 
+ source matches upstream 
+ %build OK 
+ %clean OK 
+ %files OK 
+ %doc OK 
 
- Why don't you pack the support for kdevelop? 
 
Comment 2 José Matos 2005-09-13 10:19:30 EDT
FWIW, this package is Approved. 
Comment 3 Orion Poplawski 2005-09-13 13:37:21 EDT
I'm not familiar with kdevelop.  What should go where for kdevelop support?

Thanks for the review.
Comment 4 José Matos 2005-09-14 07:55:18 EDT
Most of the .kdevelop files are in: 
 
/usr/share/apps/kdevappwizard/importfiles/ 
 
The question is that to place it there, this package would require 
kdevelop, I propose instead to place this in %doc for the time being. 
 
Comment 5 José Matos 2005-09-15 06:41:17 EDT
Well on further thought the right think to do is to use triggers, look in   
gforth spec for an example of those.   
   
If kdevelop is present make a simbolic link between gdl.kdevelop and  
/usr/share/apps/kdevappwizard/importfiles/  
  
Does this sounds like a plan? ;-)  
Comment 6 Orion Poplawski 2005-09-19 18:25:37 EDT
How about I make a -devel package with
/usr/share/apps/kdevappwizard/importfiles/gdl.kdevelop and a Requires: kdevelop.

Are we sure that /usr/share/apps/kdevappwizard/importfiles/ is the right place
for it?  I'll try to test...
Comment 7 Orion Poplawski 2005-09-22 12:47:29 EDT
Looks like the kdevelop file is for the development of the GDL language itself,
not for help with writing gdl programs.  I've imported the original src.rpm into
cvs.

Note You need to log in before you can comment on or make changes to this bug.